Bug 68250 - [PATCH] print/auctex : Elisp files should be installed in ${PREFIX}/${EMACS_VERSION_SITE_LISPDIR}/auctex
Summary: [PATCH] print/auctex : Elisp files should be installed in ${PREFIX}/${EMACS_V...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-23 19:20 UTC by Yasuhiro KIMURA
Modified: 2004-08-20 19:55 UTC (History)
0 users

See Also:


Attachments
auctex.patch (2.51 KB, patch)
2004-06-23 19:20 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2004-06-23 19:20:11 UTC
	

	Currently this port install elisp files in
	${PREFIX}/${EMACS_SITE_LISPDIR}/auctex. However they include
	.elc files which are byte-compiled by Emacs21. So it should be
	installed in ${PREFIX}/{EMACS_VERSION_SITE_LISPDIR}/auctex.
	And EMACS_NO_RUN_DEPENDS should not be set in Makefile
	since byte-compiled files cannot work with other Emacsen.

	I'm not sure whether PORTREVISION should be bump up in this case.
	So remove it if not necessary.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-06-24 06:45:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to person who has recently volunteered to maintian this port 
(in progress).
Comment 2 Hiroki Sato freebsd_committer 2004-08-20 19:53:46 UTC
State Changed
From-To: open->closed

Committed with modification, thanks!